USAGE:(1)

NAME
gfxrecon-capture - Create a capture of a Vulkan program

DESCRIPTION
usage: gfxrecon-capture.py [-h]

[-w dir]
    [-o captureFile] [-f captureFrames] [--no-file-timestamp] [--trigger {F1-F12,TAB,CTRL}] [--compression-type {LZ4,ZLIB,ZSTD,NONE}] [--file-flush] [--log-level {debug,info,warn,error,fatal}] [--log-file <file>] [--memory-tracking-mode {page_guard,assisted,unassisted}] <program> [<programArgs>]

Create a capture of a Vulkan program.

  positional arguments:

<program> [<program args>]
    Program to capture, optionally followed by program arguments

  optional arguments:

-h, --help
    show this help message and exit

-w <dir>, --working-dir <dir>
    Set CWD to this directory before running the program

-o <captureFile>, --capture-file <captureFile>
    Name of the capture file, default is gfxrecon_capture.gfxr

-f <captureFrames>, --capture-frames <captureFrames>
    List of frames to capture, default is all frames

--no-file-timestamp
    Do not add a timestamp to the capture file name

--trigger {F1,F2,F3,F4,F5,F6,F7,F8,F9,F10,F11,F12,TAB,CTRL}
    Specify a hotkey to start/stop capture

--compression-type {LZ4,ZLIB,ZSTD,NONE}
    Specify the type of compression to use in the capture file, default is LZ4

--file-flush
    Flush output stream after each packet is written to capture file

--log-level {debug,info,warn,error,fatal}
    Specify highest level message to log, default is info

--log-file logFile
    Name of the log file (disable logging with empty string), default is stdout/stderr

--memory-tracking-mode {page_guard,assisted,unassisted}
    Method to use to track changes to memory mapped objects:

page_guard: use pageguard to track changes (default)
    assisted: application will call vkFlushMappedMemoryRanges

for memory to be written to the capture file
    unassisted: all mapped memory will be written to the

    capture file during VkQueueSubmit and VkUnmapMemory

[-w dir]
    [-o captureFile] [-f captureFrames] [--no-file-timestamp] [--trigger {F1-F12,TAB,CTRL}] [--compression-type {LZ4,ZLIB,ZSTD,NONE}] [--file-flush] [--log-level {debug,info,warn,error,fatal}] [--log-file <file>] [--memory-tracking-mode {page_guard,assisted,unassisted}] <program> [<programArgs>]

SEE ALSO
The full documentation for usage: is maintained as a Texinfo manual. If the info and usage: programs are properly installed at your site, the command

    info usage:

should give you access to the complete manual.